Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportElement.ImportFolder

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.ImportFolder

All Implemented Interfaces:
  `Consumer<Consumer<LMImporter.ImportElement>>`

Enclosing class:
  LMImporter.ImportElement

public static final class LMImporter.ImportElement.ImportFolder extends LMImporter.ImportElement

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

`LMImporter.ImportElement.ImportBinary, LMImporter.ImportElement.ImportFolder, LMImporter.ImportElement.ImportLeaf<CONTENTS>, LMImporter.ImportElement.ImportResource, LMImporter.ImportElement.ImportText, LMImporter.ImportElement.StringContentsModifier, LMImporter.ImportElement.Type`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Consumer<LMImporter.ImportElement> visitor)`
`LMImporter.ImportElement.ImportBinary`
`addBinary(String name)`
`LMImporter.ImportElement.ImportResource`
`addResource(String name)`
`LMImporter.ImportElement.ImportText`
`addText(String name, String encoding)`
`LMImporter.ImportElement`
`getChild(String name)`
`List<LMImporter.ImportElement>`
`getChildren()`
`LMImporter.ImportElement.ImportFolder`
`getOrAddFolder(String name)`
`LMImporter.ImportElement.ImportFolder`
`getOrAddFolderPath(String path)`
`LMImporter.ImportElement.Type`
`getType()`
`boolean`
`isFolder()`

### Methods inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

`getModule, getName, getParent, getPath, getSegments, getURI, isLeaf, isRoot, requireValidName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Method Details

### getType

public LMImporter.ImportElement.Type getType()

Specified by:
  `getType` in class `LMImporter.ImportElement`

### isFolder

public boolean isFolder()

Specified by:
  `isFolder` in class `LMImporter.ImportElement`

### accept

public void accept(Consumer<LMImporter.ImportElement> visitor)

Specified by:
  `accept` in interface `Consumer<Consumer<LMImporter.ImportElement>>`
Overrides:
  `accept` in class `LMImporter.ImportElement`

### getChildren

public List<LMImporter.ImportElement> getChildren()

### getChild

public LMImporter.ImportElement getChild(String name)

### getOrAddFolderPath

public LMImporter.ImportElement.ImportFolder getOrAddFolderPath(String path)

### getOrAddFolder

public LMImporter.ImportElement.ImportFolder getOrAddFolder(String name)

### addResource

public LMImporter.ImportElement.ImportResource addResource(String name)

### addBinary

public LMImporter.ImportElement.ImportBinary addBinary(String name)

### addText

public LMImporter.ImportElement.ImportText addText(String name, String encoding)